com.mysql.cj

## Class Collation

- java.lang.Object
- - com.mysql.cj.Collation

    class Collation
    extends Object

### Field Summary

Fields
`String[]` `collationNames`
`int` `index`
`MysqlCharset` `mysqlCharset`
`int` `priority`

### Constructor Summary

Constructors
Constructor and Description
`Collation(int index, String[] collationNames, int priority, String charsetName)`
`Collation(int index, String collationName, int priority, String charsetName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### index

    public final int index

#### collationNames

    public final String[] collationNames

#### priority

    public final int priority

#### mysqlCharset

    public final MysqlCharset mysqlCharset

### Constructor Detail

#### Collation

    public Collation(int index,
                     String collationName,
                     int priority,
                     String charsetName)

#### Collation

    public Collation(int index,
                     String[] collationNames,
                     int priority,
                     String charsetName)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

Copyright © 2016, 2024, Oracle and/or its affiliates.